
From: Jan Dittmer <jdittmer@ppp0.net>

module_param conversion for newly introduced MODULE_PARM in parport_pc.

Also convert some consts which aren't const

Signed-off-by: Jan Dittmer <jdittmer@ppp0.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/parport/parport_pc.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/parport/parport_pc.c~parport-module_param-conversion drivers/parport/parport_pc.c
--- 25/drivers/parport/parport_pc.c~parport-module_param-conversion	2004-11-13 17:56:57.285734488 -0800
+++ 25-akpm/drivers/parport/parport_pc.c	2004-11-13 17:56:57.291733576 -0800
@@ -3172,9 +3172,9 @@ static int __init parport_init_mode_setu
 }
 
 #ifdef MODULE
-static const char *irq[PARPORT_PC_MAX_PORTS];
-static const char *dma[PARPORT_PC_MAX_PORTS];
-static const char *init_mode;
+static char *irq[PARPORT_PC_MAX_PORTS];
+static char *dma[PARPORT_PC_MAX_PORTS];
+static char *init_mode;
 
 MODULE_PARM_DESC(io, "Base I/O address (SPP regs)");
 module_param_array(io, int, NULL, 0);
@@ -3190,7 +3190,7 @@ MODULE_PARM_DESC(verbose_probing, "Log c
 module_param(verbose_probing, int, 0644);
 #endif
 MODULE_PARM_DESC(init_mode, "Initialise mode for VIA VT8231 port (spp, ps2, epp, ecp or ecpepp)");
-MODULE_PARM(init_mode, "s");
+module_param(init_mode, charp, 0);
 
 static int __init parse_parport_params(void)
 {
_
